package com.zhongzheng.modules.course.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zhongzheng.modules.course.bo.CourseModuleAddBo;
import com.zhongzheng.modules.course.bo.CourseModuleEditBo;
import com.zhongzheng.modules.course.bo.CourseModuleQueryBo;
import com.zhongzheng.modules.course.domain.CourseModule;
import com.zhongzheng.modules.course.vo.CourseModuleVo;

import java.util.Collection;
import java.util.List;

/**
 * 课程模块Service接口
 *
 * @author hjl
 * @date 2021-10-09
 */
public interface ICourseModuleService extends IService<CourseModule> {
	/**
	 * 查询单个
	 * @return
	 */
	CourseModuleVo queryById(Long moduleId);

	List<CourseModuleVo> selectList(CourseModuleQueryBo bo);

	/**
	 * 查询列表
	 */
	List<CourseModuleVo> queryList(CourseModuleQueryBo bo);

	/**
	 * 根据新增业务对象插入课程模块
	 * @param bo 课程模块新增业务对象
	 * @return
	 */
	Boolean insertByAddBo(CourseModuleAddBo bo);

	/**
	 * 根据编辑业务对象修改课程模块
	 * @param bo 课程模块编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(CourseModuleEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
